# Draw
TKDraw
DBRep

# DBRep_IsoBuilder Class Reference

Creation of isoparametric curves.
.

`#include <DBRep_IsoBuilder.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DBRep_IsoBuilder (const TopoDS_Face &TopologicalFace, const Standard_Real Infinite, const Standard_Integer NbIsos)
| Creates the builder. .
Standard_Integer | NbDomains () const
| Returns the total number of domains. .
Standard_EXPORT void | LoadIsos (const Handle(DBRep_Face)&Face) const
| Loading of the isoparametric curves in the Data Structure of a drawable face. .

## Private Attributes

Standard_Real | myInfinite
Standard_Real | myUMin
Standard_Real | myUMax
Standard_Real | myVMin
Standard_Real | myVMax
TColStd_Array1OfReal | myUPrm
TColStd_Array1OfInteger | myUInd
TColStd_Array1OfReal | myVPrm
TColStd_Array1OfInteger | myVInd
Standard_Integer | myNbDom

## Constructor & Destructor Documentation

Standard_EXPORT DBRep_IsoBuilder::DBRep_IsoBuilder | ( | const TopoDS_Face & | TopologicalFace,
|  | const Standard_Real | Infinite,
|  | const Standard_Integer | NbIsos
| ) |

## Member Function Documentation

Standard_EXPORT void DBRep_IsoBuilder::LoadIsos | ( | const Handle(DBRep_Face)& | Face | ) | const

Standard_Integer DBRep_IsoBuilder::NbDomains | ( |  | ) | const`[inline]`

void DBRep_IsoBuilder::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DBRep_IsoBuilder::operator new | ( | size_t | size | ) | `[inline]`

void* DBRep_IsoBuilder::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

## Field Documentation

Standard_Real DBRep_IsoBuilder::myInfinite `[private]`

Standard_Integer DBRep_IsoBuilder::myNbDom `[private]`

TColStd_Array1OfInteger DBRep_IsoBuilder::myUInd `[private]`

Standard_Real DBRep_IsoBuilder::myUMax `[private]`

Standard_Real DBRep_IsoBuilder::myUMin `[private]`

TColStd_Array1OfReal DBRep_IsoBuilder::myUPrm `[private]`

TColStd_Array1OfInteger DBRep_IsoBuilder::myVInd `[private]`

Standard_Real DBRep_IsoBuilder::myVMax `[private]`

Standard_Real DBRep_IsoBuilder::myVMin `[private]`

TColStd_Array1OfReal DBRep_IsoBuilder::myVPrm `[private]`

The documentation for this class was generated from the following files:

- DBRep_IsoBuilder.hxx
- DBRep_IsoBuilder.lxx